package com.jwk.spring.boot.autoconfigure;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author JWK
 * @version 1.0
 * @date 2022/12/2 15:40
 */
@ConfigurationProperties(prefix = DemoProperties.DEMO_PREFIX)
public class DemoProperties {

    public static final String DEMO_PREFIX = "demo";

    /**
     * bean名称
     */
    private String beanName;
    /**
     * 姓名
     */
    private String name = "jwk";
    /**
     * 年龄
     */
    private String age;
    private Ineer ineer;

    public String getBeanName() {
        return beanName;
    }

    public void setBeanName(String beanName) {
        this.beanName = beanName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    public Ineer getIneer() {
        return ineer;
    }

    public void setIneer(Ineer ineer) {
        this.ineer = ineer;
    }

    public static class Ineer {
        /**
         * 描述
         */
        String a = "1";
        /**
         * 描述2
         */
        String b = "2";

        /**
         * 多属性提示
         */
        ContainerType containerType = ContainerType.DIRECT;

        public enum ContainerType {
            SIMPLE,
            DIRECT
        }

        public String getA() {
            return a;
        }

        public void setA(String a) {
            this.a = a;
        }

        public String getB() {
            return b;
        }

        public void setB(String b) {
            this.b = b;
        }

        public ContainerType getContainerType() {
            return containerType;
        }

        public void setContainerType(ContainerType containerType) {
            this.containerType = containerType;
        }
    }
}
