package com.jwk.spring.boot.autoconfigure;

import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author JWK
 * @version 1.0
 * @date 2022/12/2 14:46
 */
@EnableConfigurationProperties(DemoProperties.class)
@Configuration
public class DemoAutoConfiguration {


    @Bean
    public DemoTemplate demoTemplate(DemoProperties demoProperties) {
        return new DemoTemplate(demoProperties);
    }
}
